import request from '@/utils/request'

export function getWareHousePage(data) {
  return request({
    url: '/warehouse-base/page',
    method: 'get',
    params: data
  })
}


// export function getWareHouseList(data) {
//   return request({
//     url: '/warehouse-base/list',
//     method: 'post',
//     data: data
//   })
// }

export function getWareHouseList(data) {
  return request({
    url: '/stock/warehouse/options',
    method: 'get',
    params: data
  })
}

export function getWareHouseById(data) {
  return request({
    url: '/warehouse-base/listById',
    method: 'post',
    data: data
  })
}

export function addWareHouse(data) {
  return request({
    url: '/warehouse-base/add',
    method: 'post',
    data: data
  })
}

export function editWareHouse(data) {
  return request({
    url: '/warehouse-base/edit',
    method: 'post',
    data: data
  })
}

export function delWareHouse(data) {
  return request({
    url: '/warehouse-base/delete',
    method: 'post',
    data: data
  })
}
